.ludo-box {
  /* border: 1px solid #fafafa; */
  border: 0;
  border-radius: 5px;
  height: 100%;
}

html {
  height: 100%;
}

body,
html {
  min-height: 100%;
}

body::selection {
  user-select: none;
}

*,
body,
html {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

body {
  background: url("../img/bg.webp") no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  background-color: #000;
  /* min-height: 100vh; */
  /* background-color: rgba(0, 0, 0, 0.9);
  background-blend-mode: overlay; */
}

/* .gameEntry-block {
  background: url('../img/entrybg.png') no-repeat;
  background-size: cover;
} */

.gameEntry-block {
  /* background: url('../img/entrybg.png') no-repeat;
  background-size: cover;
  min-height: 11vh;
  background-position: left center; */
  background: linear-gradient(to left, #8547cf, #9567e9, #580bc7);
  border-radius: 10px;
  height: auto;
  border: 1px solid #8ad1b6;
  min-height: 70px;
  box-shadow: 0 0px 3px #00000087;
}

.gameEntry-block p {
  text-transform: uppercase;
  color: #fff;
  font-weight: 700;
  font-size: 14px;
  text-shadow: 0 0 3px #000;
  line-height: normal;
  white-space: nowrap;
}

.gameEntry-block span.entry-number {
  background: #006;
  text-align: center;
  border-radius: 5px;
  color: yellow;
  font-size: 14px;
  font-weight: 700;
}

.livechang_bg_block {
  background: linear-gradient(to left, #ef7613, #ee7415, #e76700);
}

.timerClock-number {
  font-size: 13px;
  padding-top: 2px;
}

.joinbutton-block {
  bottom: -22px;
}

.classic-box-block .gameEntry-block {
  background: linear-gradient(to left, #9ae023, #b2ef27, #74d400);
}

.classic-box-block .gameEntry-block span.entry-number {
  background: #654321;
}

.user-details {
  background: #281f1a;
  border: 3px solid #010100;
  border-radius: 25px;
  top: 0px;
  padding: 0 5px;
}

.profile {
  position: absolute;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  border: 2px solid #cf9332;
  left: -1px;
  top: -1px;
  object-fit: cover;
  box-shadow: 0 2px 7px #000;
}

.user-details p {
  font-weight: 500;
  font-size: 12px;
  padding: 0 5px;
  text-align: center;
  color: #fff;
  text-align: left;
  line-height: normal;
}

.user-details p:last-child {
  color: #ffef7b;
  font-size: 16px;
  line-height: 19px;
}

.ludo-header {
  /* background: #280000; */
  margin-bottom: 0px;
}

.ludoModals .modal-content {
  background: transparent;
}

.modelbodyBorder {
  border: 2px solid #87827e;
  border-radius: 0 0 var(--bs-modal-border-radius) var(--bs-modal-border-radius);
  border-top: 0;
  background: #000000b5;
  margin-top: -5px;
}

.text-white.text-center.modalbodyText {
  font-weight: 700;
  font-size: 18px;
}

.ludoModals .modal-header {
  border: 2px solid #87827e;
  border-radius: var(--bs-modal-border-radius);
  background: #000000b5;
  z-index: 1;
}

.ludoModals .modal-header::after,
.ludoModals .modal-header::before,
.offcanvasSetting .offcanvas-header h5::before {
  content: "";
  display: block;
  width: 45%;
  height: 3px;
  background: linear-gradient(to left, transparent, red, transparent);
  position: absolute;
  top: -4px;
  left: 0;
  right: 0;
  margin: 0px auto;
  z-index: -1;
}

.ludoModals .modal-header::before {
  top: inherit;
  bottom: -4px;
}

.offcanvasSetting {
  width: 300px !important;
  height: auto !important;
  min-height: inherit;
  bottom: inherit;
  background: #000;
  border: 2px solid #fff !important;
  border-radius: 10px;
}

.setting-list li {
  font-size: 18px;
  font-weight: 800;
  padding: 5px 0;
  margin-bottom: 5px;
}

.setting-list li:last-child {
  margin-bottom: 0;
  padding-bottom: 0;
}

.setting-list li i {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background: linear-gradient(#ffffff4f, transparent, #ffffff4f);
  font-size: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #ffffff4f;
  cursor: pointer;
}

.offcanvasSetting .btn-close,
.modal-closeBtn {
  background-color: #fff;
  opacity: 1;
  border-radius: 50%;
  color: #000;
  font-size: 14px;
  position: absolute;
  right: 15px;
  top: 23px;
  width: 25px;
  height: 25px;
  padding: 0;
}

.modal-closeBtn {
  border: 0;
  top: 5px;
  right: 5px;
  z-index: 1;
}

.offcanvasSetting .offcanvas-header h5 {
  font-weight: 800;
  font-size: 25px;
  letter-spacing: 1px;
  padding-right: 10px;
  margin: 0;
  width: 100%;
  text-align: center;
  position: relative;
  padding-bottom: 10px;
  padding-top: 10px;
}

.offcanvasSetting .offcanvas-header h5::before {
  width: 100%;
  bottom: 0;
  top: inherit;
  height: 2px;
  background: linear-gradient(to left, transparent, #ffffff4f, transparent);
}

.modalCloseBtn {
  right: -15px;
  top: -14px;
}

.player-Modal {
  border: 0;
  background: linear-gradient(
    #e22f8a,
    #f968ad,
    #fb569b,
    #e22f8a,
    #f968ad,
    #fb569b
  );
  color: #fff;
  font-weight: 800;
  font-size: 19px;
  text-shadow: 0 2px 1px #000000c4;
  position: relative;
  position: relative;
  border: 4px solid #ff639a;
  border-radius: 10px;
  width: 48%;
  text-align: center;
  padding: 3px 3px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.player-Modal span {
  background: #a80264;
  width: 30px;
  height: 30px;
  border-radius: 51%;
  font-size: 18px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: 10px;
}

.terms-block {
  margin: 0;
  border-bottom: 3px solid #f4d403d9;
  border-radius: 2px;
  padding-bottom: 8px;
}

.winner-user-name span {
  font-size: 20px;
  font-weight: 800;
  padding-bottom: 13px;
}

.youwon {
  color: #9bfd14;
  font-weight: 800;
  font-size: 25px;
  background: #231701;
  border: 2px solid #fff;
  border-radius: 8px;
  padding: 4px 15px;
  padding-top: 1px;
}

.youwon.yourRanknum {
  padding-top: 4px;
}

.yourRanknum {
  color: #fff;
  background: #0000008f;
  font-size: 16px;
}

.yourRanknum span {
  width: 27px;
  height: 27px;
  display: flex;
  background: #000;
  border-radius: 50%;
  font-size: 16px;
  justify-content: center;
  align-items: center;
  border: 1px solid #fff;
  padding-bottom: 1px;
}

.winner-user.position-relative {
  /* border: 1px solid #7fda00; */
  min-width: 30px;
  padding-left: 40px;
  color: #fff;
  font-weight: 800;
  font-size: 19px;
  border-radius: 8px;
  margin-left: 10px;
  padding-right: 15px;
  top: -12px;
}

.winner-user img {
  width: 40px;
  height: 40px;
  object-fit: cover;
  border-radius: 50%;
  border: 3px solid #7fda00;
  position: absolute;
  left: -12px;
  top: -6px;
}

.winner-list {
  border: 1px solid #fff;
  border-radius: 15px;
  background: #000;
  padding: 12px 15px;
}

.score-num {
  font-size: 18px;
  font-weight: 800;
  color: #fff;
  border: 1px solid #7fda00;
  border-radius: 15px;
  padding: 1px 16px;
}

.winnerscore-text {
  color: #fff;
  font-weight: 800;
  font-size: 20px;
}

.insertCode {
  font-weight: 800;
  font-size: 32px;
  color: #fff;
}

.maxRadioBtn input {
  position: absolute;
  visibility: hidden;
}

.maxRadioBtn label {
  position: relative;
}

.maxRadioBtn label {
  position: relative;
  font-weight: 800;
  font-size: 28px;
  padding-left: 24px;
  margin-right: 10px;
  cursor: pointer;
}

.maxRadioBtn label:last-child {
  margin-right: 0;
}

.maxRadioBtn label::before {
  content: "";
  display: block;
  width: 18px;
  height: 18px;
  border-radius: 50%;
  border: 2px solid #6fb20d;
  position: absolute;
  left: 0;
  top: 13px;
}

.modalinBox {
  background: #000;
  border: 1px solid #fff;
  border-radius: 15px;
  padding: 4px 25px;
}

.maxRadioBtn input:checked + label::before {
  background: #6fb20d;
}

.dropdown-modal button {
  background: #000;
  border: 1px solid #fff;
  border-radius: 15px;
  padding: 4px 15px;
  padding-bottom: 4px;
  line-height: normal;
  padding-bottom: 6px;
}

.congratulation-modal .modelbodyBorder {
  border-top: 2px solid #87827e;
  border-radius: var(--bs-modal-border-radius);
}

.congratulation-modal .modelbodyBorder {
  border-top: 2px solid #87827e;
  border-radius: var(--bs-modal-border-radius);
  margin-top: -50px;
  padding-top: 20px;
}

.mainmenu-block {
  width: 290px !important;
}

.mainmenu-block {
  background: #03080c;
  border: 2px solid #fff !important;
  border-radius: 10px;
  margin-top: 8px;
  margin-left: 8px;
}

.mainmenu-block button {
  font-size: 16px !important;
  text-transform: capitalize !important;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

.mainmenu-block button {
  width: 100%;
  color: #fff;
  text-align: left;
  padding: 4px 20px;
  padding-top: 4px;
  padding-bottom: 4px;
  padding-top: 4px;
  padding-bottom: 4px;
  font-size: 28px;
  font-weight: 500;
  border-bottom: 0 !important;
  border-radius: 6px 6px 0 0;
}

.mainmenu-block button {
  padding-bottom: 15px;
  padding-top: 15px;
}

.mainmenu-block button img {
  margin-right: 15px;
}

.mainmenu-block button img.profile-menu {
  width: 65px;
  background: #301316;
  box-shadow: 0 0 6px #301316;
  border-radius: 6px;
  height: 65px;
  border-radius: 50%;
  border: 2px solid #fff;
  object-fit: cover;
}

.mainmenu-block button span {
  font-size: 18px;
  font-weight: 800;
  color: #fff;
}

.mainmenu-block * {
  position: relative;
  z-index: 2;
}

.pokerMenu-list,
.pokermenu-submenu {
  padding: 0;
  padding-bottom: 0px;
  margin: 0;
  list-style: none;
}

.pokerMenu-list {
  overflow: auto;
  height: 100%;
  padding-bottom: 150px;
}

.pokerMenu-list li {
  padding: 0 15px;
}

.pokernav-item {
  display: block;
  color: #fff;
  font-size: 16px;
  border-bottom: 1.9px solid #dcbd7d;
  padding: 8px 30px;
  padding-right: 30px;
  padding-left: 30px;
  padding-right: 30px;
  padding-left: 30px;
  transition: all 0.4s linear;
  position: relative;
  cursor: pointer;
  font-weight: 600;
}

.pokernav-item {
  border: 0;
  padding-left: 0;
  padding-right: 0;
  background: transparent;
  color: #fff;
}

.pokernav-item img {
  width: 40px;
}

.pokernav-item i {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 0 8px #472c39;
  margin-right: 10px;
}

.submenuarrow,
.pokernav-item i.submenuarrow {
  background: #ffbc00;
  font-size: 16px;
  width: 25px;
  height: 25px;
  transform: rotate(90deg);
  position: absolute;
  right: 15px;
  margin: 0;
  color: #fff;
}

.pokernav-item i.submenuarrow {
  transition: all 0.1s linear;
}

.pokermenu-submenu {
  display: none;
  transition: all 0.4s linear;
}

.pokermenu-submenu {
  width: 100%;
  margin: 0px auto;
  border-radius: 10px;
  background: #06101a;
  border: 1px solid #ffffff4f;
}

.pokermenu-submenu a img {
  width: 38px;
}

.pokermenu-submenu li p {
  margin: 0;
  font-size: 14px;
  width: 78%;
}

.pokermenu-submenu li p span:last-child {
  float: right;
  color: #94ad04;
}

.mainmenu-block button.logout-lobbybtn {
  background: transparent;
  width: 60%;
  text-align: center;
  justify-content: center;
  position: relative;
  padding: 0;
  border: 0px solid #fff633 !important;
}

a {
  text-decoration: none;
}

.pokermenu-submenu {
  display: none;
  transition: all 0.4s linear;
}

.lisubmenuactive .pokermenu-submenu {
  display: block;
}

.scroller {
  scrollbar-color: #fff #1c0210;
  scrollbar-width: thin;
}

.down-arrow {
  width: 25px !important;
  float: right;
  position: absolute;
  right: 0px;
}

.pokermenu-submenu li a {
  position: relative;
}

.mainmenu-block button::before,
.pokermenu-submenu li a::before {
  content: "";
  display: block;
  width: 100%;
  height: 2px;
  background: linear-gradient(to left, transparent, #2c3134, transparent);
  position: absolute;
  bottom: 0;
  left: 0;
}

.pokermenu-submenu li:last-child a::before {
  display: none;
}

.gamejoinmb-btn {
  position: fixed;
  left: 0;
  width: 100%;
  bottom: 0;
  padding-bottom: 10px;
  z-index: 9;
}

.gamejoinmb-btn {
  justify-content: center;
}

.joingamnumber {
  position: absolute;
  background: #a64c04;
  width: 28px;
  height: 28px;
  border-radius: 50%;
  color: #fff;
  border: 1px solid #803a01;
  left: 0;
  right: 0;
  margin: 0px auto;
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: center;
  top: -13px;
}

.joingamnumber-classic {
  background: #71bb14;
  border-color: #56870d;
}

.joingamnumber-timer {
  background: #5200be;
  border-color: #44009a;
}

.tab-content .ludoenter-box-block .col-12 .gameEntry-block {
  margin-bottom: 37px !important;
}

.tab-content .ludoenter-box-block .ludo-box {
  padding-bottom: 0 !important;
}

.gamejoinmb-block .ludo-box {
  border: 0;
}

.gamejoinmb-block .ludoenter-box-block .col-12 {
  padding: 0;
}

.joinbutton-block button.joinnowmb-btn img {
  width: 138px;
}

.joinbutton-block button.joinnowmb-btn .mobile-playBtn img {
  width: 85px;
}

.joinbutton-block button.joinnowmb-btn span {
  color: #fff;
  text-transform: uppercase;
  font-size: 13px;
  font-weight: 700;
  text-shadow: 0 1px 1px #000;
  padding-right: 14px;
}

.joinbutton-block button.joinnowmb-btn .mobile-playBtn {
  right: -64px !important;
  top: -35px !important;
}

.joinbutton-block button.joinnowmb-btn .mobile-playBtn span {
  font-size: 22px;
  text-transform: capitalize;
  font-weight: 800;
  text-shadow: 0 0 4px #000;
  padding-right: 0;
}

.challangestext-mb {
  color: #fff;
  font-weight: 800;
  text-transform: uppercase;
  font-size: 16px;
  text-shadow: 0 1px 2px #000;
  padding-bottom: 14px;
  font-family: "Poppins", sans-serif;
  text-transform: capitalize;
}

.gametable-name {
  font-family: "Poppins", sans-serif;
  font-weight: 500 !important;
  text-transform: capitalize !important;
  letter-spacing: 0.5px;
  margin-top: 8px !important;
}

button.active .challangestext-mb {
  color: #000;
  text-shadow: none;
}

.gamejoinmb-btn li {
  width: 33%;
  padding: 0 1px;
}

.gamejoinmb-btn {
  padding-left: 1px !important;
  padding-right: 1px !important;
}

.tab-content .joinbutton-block {
  bottom: -23px;
}

.chatOffcanvas {
  bottom: inherit !important;
  min-height: 80%;
}

@media (max-width: 1200px) {
  .gameEntry-block p {
    font-size: 20px;
  }

  .twoplayer-icon {
    width: 30px;
  }

  .joinbutton-block button img {
    width: 75px;
  }
}

@media (max-width: 991px) and (orientation: landscape) {
  .ludoenter-box-block .col-3 {
    width: 50%;
    max-width: 50%;
    margin-block: 15px;
  }

  .gameEntry-block p {
    font-size: 12px;
  }

  .gameEntry-block span.entry-number {
    font-size: 10px;
  }

  .joinbutton-block img {
    width: 60px;
  }

  .ludo-box .gameEntry-block .col-4.px-2 img {
    width: 34px;
  }
}

@media (max-width: 767px) {
  .profile {
    width: 25px;
    height: 25px;
  }

  .user-details p {
    font-size: 9px;
  }

  .ludo-header button img {
    width: 30px;
  }

  .anotherGame {
    width: 149px !important;
  }

  .anotherGameImg {
    width: 120px !important;
  }
}

@media (orientation: portrait) {
  .ludoenter-box-block .col-3 {
    width: 100%;
    max-width: 100%;
    margin-block: 15px;
  }

  .ludo-box-btn button {
    height: 52px;
  }

  .ludo-box-btn button img {
    height: 100%;
    object-fit: contain;
  }

  .gameEntry-block {
    min-height: 11vh;
  }
}

#GameContainer {
  position: absolute;
  right: 0;
  left: 0;
  top: 0%;
  /* margin-top: -59px; */
  background: url("/public/uploads/images/Background.png") no-repeat;
  background-size: cover;
  /* height: 558px; */
  background-position: center;
  /* z-index: 1000; */
  pointer-events: auto;
}

.main-body {
  background: url("/public/uploads/images/Background.png") no-repeat;
  background-size: cover;
  /* height: 558px; */
  background-position: center;
}

.potrait-header {
  position: absolute;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 8px;
  z-index: 20;
}

.potrait-footer {
  position: absolute;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  bottom: 0;
  padding: 30px;
  z-index: 20;
}

.ludofullpage-table {
  width: 100%;
  margin: 0px auto;
}

.showmatchmaking {
  display: block !important;
  background: rgba(0, 0, 0, 0.9);
  z-index: 11;
  opacity: 1;
}

.show-expireModal {
  display: block !important;
  background: rgba(0, 0, 0, 0.9);
  opacity: 1 !important;
  z-index: 31;
}

.tabsTitle {
  color: #fff;
  text-transform: capitalize;
  letter-spacing: 0.5px;
  margin-bottom: 25px;
}

@media (max-width: 767px) {
  .potrait-footer {
    position: absolute;
    display: flex;
    align-items: center;
    /* bottom: 100px; */
    padding: 30px;
    left: 0;
    right: 0;
  }

  .gameEntry-block-mb-none {
    display: none;
  }

  #GameContainer {
    background: url("/public/uploads/images/GameBackground.jpg") no-repeat;
    background-size: cover;
  }
}

.chatOffcanvas {
  border: 2px solid #87827e !important;
  background: #00000005;
  margin: 10px;
  border-radius: 10px;
  width: 260px !important;
}

.chatOffcanvas .offcanvas-header {
  border: 2px solid #87827e;
  border-radius: 10px;
  background: #000000b5;
  z-index: 1;
  padding: 10px 5px;
  display: flex;
  justify-content: center;
  border-left: 0;
  border-right: 0;
  border-top: 0;
  border-radius: 10px 10px 0 0;
}

.msg-block {
  display: block;
  color: #fff;
  background: #00377a;
  border: 4px solid #3299e4;
  border-radius: 10px;
  text-align: center;
  font-size: 22px;
  font-weight: 600;
  padding: 5px 5px;
  margin-bottom: 12px;
}

/* 18-01-2024 */

.offcanvasSetting {
  margin-top: 10px;
}

.gameEntry-block p {
  text-align: center;
}

.gamejoinmb-btn li button.active::after {
  position: absolute;
  top: 0;
  left: 0;
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  background: #008ebe;
  z-index: -1;
  border-radius: 20px;
  box-shadow: 0 0 6px #008ebe;
}

.gamejoinmb-btn li button {
  position: relative;
}

.challangestext-mb {
  position: absolute !important;
  top: 0;
  bottom: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  height: 100%;
}

@font-face {
  font-family: "dingo";
  src: url("../Fontawsome/webfonts/dingo.ttf");
}

@media (max-width: 360px) {
  .gameEntry-block p {
    font-size: 16px;
  }

  .challangestext-mb {
    font-size: 14px;
  }
}

.offcanvas-footer {
  display: flex;
  justify-content: center;
  margin-bottom: 20px;
}

.ludo-box-block {
  margin-top: -36px;
  padding: 0 2px;
}

.ludo-box-inner-block {
  border: 1px solid #fafafa;
  border-radius: 12px;
  padding-top: 45px;
}

.ludo-box-inner-block-scroll {
  height: 72vh;
  overflow-y: scroll;
  scrollbar-color: transparent transparent;
  scrollbar-width: thin;
  box-sizing: border-box;
}

.ludo-box-inner-block::-webkit-scrollbar,
.ludo-box-inner-block::-webkit-scrollbar-track {
  display: none;
}

.ludo-box-inner-block-scroll::-webkit-scrollbar {
  width: 8px;
}

.ludo-box-inner-block-scroll::-webkit-scrollbar-track {
  background: transparent;
}

.ludo-box-inner-block-scroll::-webkit-scrollbar-thumb {
  background-color: transparent;
  border-radius: 4px;
  border: transparent;
}

.ludo-box-inner-block-scroll::-webkit-scrollbar-thumb:hover {
  background-color: transparent;
}

.ludo-box-btn {
  position: relative;
  z-index: 1;
}

/* .ludoenter-box-block-landscap .col-3 {
  padding: 0;
} */
.ludo-box-btn button {
  min-height: 100px;
}

.ludo-box-btn .tabbtn-ludo {
  min-height: inherit;
  background: url("../img//jontteteete.png") no-repeat !important;
  background-size: cover !important;
  background-position: 0% 100% !important;
  color: #fff;
  text-transform: uppercase;
  font-weight: 600;
  font-size: 11px;
  text-shadow: 0 0 4px #000;
  padding: 20px 8px !important;
  border: 3px solid #f5822c !important;
  border-radius: 18px;
  font-family: "dingo the singing dog DEMO";
  letter-spacing: 1px;
}

.ludo-box-btn .tabbtn-ludo-timer {
  background: url("../img/entrybg2.png") no-repeat !important;
  background-size: cover !important;
  background-position: 0% 10% !important;
  border-color: #7347fa !important;
}

.ludo-box-btn .tabbtn-ludo-classic {
  background: url("../img/classicbox-bg2.png") no-repeat !important;
  background-size: cover !important;
  background-position: 0% 10% !important;
  border-color: #9cfb18 !important;
}
.ludo-box-btn .passandplay-btn {
  background: url(../img/passandplay-bg.png) no-repeat !important;
  background-size: cover !important;
  background-position: 0% 10% !important;
  border-color: #17a9d9 !important;
}
.ludo-box-btn .tabbtn-ludo-turnament {
  background: url("../img/tournamentbg2.png") no-repeat !important;
  background-size: cover !important;
  background-position: 0% 10% !important;
  border-color: #fced19 !important;
}

@font-face {
  font-family: "dingo the singing dog DEMO";
  src: url("../webfont/dingothesingingdogDEMO/d7fa49ae91dc4ecd88ff2afe1a6b4d73.woff");
}

.tabbtn-ludo-classic {
  background: url("../img//jontteteete.png") no-repeat;
  background-size: cover;
  background-position: center;
}

.ludo-box .gameEntry-block {
  padding: 0 2px !important;
}

/* .ludo-box-inner-block-scroll .w-100.px-2 {
  margin-right: -8px;
  width: auto !important;
} */
.ludoenter-box-block-landscap .ludoenter-box-block .col-3 {
  padding: 0 5px;
}

.gameEntry-block span.entry-number img {
  width: 12px;
}

.joinbutton-block button img {
  width: 80px;
}

.table_not_found {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  padding-bottom: 40px;
  min-height: 70vh;
}

.table_not_found img {
  width: 100px;
  margin-bottom: 15px;
}

.table_not_found p {
  margin: 0;
  color: #fff;
  font-size: 20px;
  font-weight: 800;
  text-shadow: 0 0 5px #000;
}

.table_not_found p span {
  color: #fced19;
  font-size: 18px;
}

.livechang_bg_block .entry-number {
  background: #654321 !important;
}

.ludo-box-inner-block-scroll > .w-100.ps-2 {
  padding-right: 8px;
}

/* private */

.offcanvas-teenpatti,
.modal-dialog-bg-block .modal-content {
  border: 1px solid #ffffff8f !important;
  border-radius: 8px;
  margin: 10px;
  background: #001018;
  border: 2px solid #ffffff8f !important;
  border-radius: 10px;
}

.menu-offcanvas .modalClose-btn {
  align-items: center;
  border-radius: 50% !important;
  display: flex;
  height: 28px !important;
  justify-content: center;
  right: 5px !important;
  padding: 0 !important;
  position: absolute;
  top: 10px;
  width: 28px !important;
  background: linear-gradient(#c71824, #570f13) !important;
}

.menu-offcanvas .modalClose-btn i {
  font-size: 20px;
  text-shadow: none;
  color: #fff;
}

.offcanvas-title {
  font-size: 26px;
  color: #fff;
  font-weight: 800;
}

.menu-offcanvas .offcanvas-body {
  padding-bottom: 0;
}

.insert-code {
  background: #0d1721;
  border-radius: 35px;
  color: #ffb503;
  font-size: 21px;
  height: 50px;
  letter-spacing: 1px;
  min-width: 235px;
  padding: 6px 25px;
  text-align: center;
  font-weight: 800;
  display: flex;
  align-items: center;
  justify-content: center;
}

.insert-code-block {
  font-weight: 800;
  color: #fff;
  font-size: 22px;
}

.join-create-btn {
  background: linear-gradient(to top, #750000, #c90000) !important;
  color: #fff;
  border: 2px solid #fc2626 !important;
  font-weight: 800;
  padding: 5px 6px !important;
  line-height: normal;
  font-size: 14px;
  margin-left: 10px;
}

.wantText {
  color: #fff;
  font-size: 14px;
}

.join-offcanvas-btn {
  background: linear-gradient(to top, #497901, #96f511) !important;
  color: #fff !important;
  border: 2px solid #9cfe15 !important;
  font-weight: 800;
  padding: 5px 6px !important;
  line-height: normal;
  font-size: 20px;
  margin-left: 10px;
  padding-top: 0 !important;
  min-width: 130px;
}

.table-radio {
  align-items: center;
  font-size: 22px;
  color: #fff;
  font-weight: 800;
}

.tablefor-bg {
  background: #0d1721;
  border-radius: 8px;
  padding: 8px 20px;
  margin-top: 15px;
}

.tablefor-bg .form-check {
  display: block;
  margin-bottom: 0.125rem;
  min-height: 1.5rem;
  padding-left: 1.5em;
}

.tablefor-bg .form-check .form-check-input {
  float: left;
  margin-left: -1.5em;
}

.table-radio .form-check-label {
  font-size: 20px;
  position: relative;
  color: #fff;
  margin: 0;
}

.table-radio .form-check-label::before {
  background: #000;
  border: 2px solid #00567c;
  border-radius: 50%;
  bottom: 0;
  content: "";
  display: block;
  height: 20px;
  left: -26px;
  margin: auto;
  position: absolute;
  top: 0;
  width: 20px;
}

.table-radio input:checked + .form-check-label::before {
  background: #00567c;
}

.createPrivateTableOffcanvas label {
  text-align: center;
  display: block;
  font-size: 16px;
  color: #e4c800;
  text-transform: capitalize;
  font-weight: 500;
  margin-bottom: 10px;
}

.createPrivateTableOffcanvas label {
  text-align: center;
  display: block;
  font-size: 16px;
  color: #fff;
  text-transform: capitalize;
  margin-bottom: 6px;
  font-weight: 600;
  text-align: left;
}

.createPrivateTableOffcanvas .dropdown button,
.createPrivateTableOffcanvas .dropdown input {
  background: #423204;
  border: 1px solid #e4c800;
  width: 100%;
  text-align: left;
  font-weight: 500;
  text-transform: capitalize;
  font-size: 16px;
  padding: 8px 8px;
  position: relative;
  text-transform: uppercase;
  background: #1f1200;
  border: 1px solid #423204;
  min-height: 42px;
  background: #061927;
  border: 1px solid #015981;
}

.createPrivateTableOffcanvas .dropdown input {
  color: #fff;
  border-radius: 5px;
}

.createPrivateTableOffcanvas .dropdown button::after {
  border: 2px solid #fff;
  width: 8px;
  height: 8px;
  margin: 0;
  position: absolute;
  border-top: 0;
  border-left: 0;
  transform: rotate(45deg);
  right: 10px;
  top: 35%;
}

.createPrivateTableOffcanvas .dropdown .dropdown-menu {
  width: 100%;
  top: 5px !important;
  padding: 0;
  background: #060f15;
  border: 1px solid #015981;
}

.createPrivateTableOffcanvas .dropdown .dropdown-menu li:last-child {
  border-bottom: 0;
}

.createPrivateTableOffcanvas .dropdown .dropdown-menu .dropdown-item {
  display: block;
  color: #fff;
  text-transform: capitalize;
  opacity: 0.8;
  padding: 8px 8px;
  cursor: pointer;
}

.createPrivateTableOffcanvas .dropdown .dropdown-menu .dropdown-item:hover {
  color: #000;
}

.offcanvas-title {
  position: relative;
}

.offcanvas-teenpatti .offcanvas-title::before {
  content: "";
  display: block;
  width: 100%;
  height: 2px;
  background: linear-gradient(to left, transparent, #ffffff45, transparent);
  position: absolute;
  bottom: -8px;
  left: 0;
}

.ludo-room-code {
  background: #061927;
  border: 2px solid #015981;
  border-radius: 8px;
  padding: 10px 15px;
}

.room-code-text,
.room-code-des-text {
  color: #fff;
  font-weight: 600;
  font-size: 15px;
}

.room-code-text .img-fluid,
.room-code-des-text .img-fluid {
  width: 30px;
  /* margin-left: 10px; */
}

.room-code-text strong {
  background: #000;
  padding: 4px 10px;
  border-radius: 4px;
  color: yellow;
  letter-spacing: 2px;
  font-size: 15px;
}

.real-amout-ludo {
  text-align: center;
  color: yellow;
  font-weight: 500;
  margin-top: 10px;
  margin-bottom: 12px;
}

.real-ludo-user .img-fluid {
  width: 70px;
  border: 1px solid #015981;
  padding: 5px;
  margin: 0px auto;
  display: block;
}

.real-ludo-user-name {
  background: #fff;
  margin: 15px 0;
  display: inline-block;
  font-size: 16px;
  text-transform: uppercase;
  color: #000;
  font-weight: 600;
  font-size: 14px;
  padding: 5px 10px;
  border-radius: 2px;
}

.real-ludo-ative {
  border-color: #015981 !important;
}

.copy-text-ludo {
  border: 0;
  font-size: 14px;
  text-transform: uppercase;
  font-weight: 600;
  background: #fff;
  color: #000;
  padding: 1px 10px;
  border-radius: 33px;
  margin-left: 10px;
}

.real-ludo-user .real-ludo-user-name,
.real-ludo-join-user ~ .text-center .real-ludo-user-name {
  margin-top: 0;
  width: 70px;
  border-radius: 0 0 4px 4px;
  padding: 3px 0;
  background: #015981;
  color: #000;
  font-weight: 700;
}

/* Matching MOdal */

.matching-user-inner,
.matching-user-inner img {
  border-radius: 15px;
}

.matching-user-block {
  border: 10px solid #4fd900;
  border-radius: 26px;
  background-color: white;
}

.matching-user-title {
  border-radius: 5px;
  text-align: center;
  color: #4fd900;
  text-transform: uppercase;
  font-weight: 700;
  border-radius: 25px;
  padding: 5px 15px;
  font-size: 16px;
  margin-bottom: 15px;
  font-family: "Titan One", sans-serif;
  font-weight: 200;
}

.matching-user-title,
.matching-user-block {
  width: 140px !important;
  margin: 0px auto;
  overflow: hidden;
}

.matching-user-block {
  height: 140px;
}

.matching-user-inner,
.matching-user-inner img {
  height: 100%;
  object-fit: cover;
}

.snippet {
  width: 36px;
  height: 10px;
  position: relative;
  top: 0px;
  left: 10px;
}

.dot-pulse {
  position: relative;
  left: -9999px;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #4fd900;
  color: #4fd900;
  box-shadow: 9999px 0 0 -5px;
  animation: dot-pulse 1.5s infinite linear;
  animation-delay: 0.25s;
}

.dot-pulse::before,
.dot-pulse::after {
  content: "";
  display: inline-block;
  position: absolute;
  top: 0;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #4fd900;
  color: #4fd900;
}

.dot-pulse::before {
  box-shadow: 9984px 0 0 -5px;
  animation: dot-pulse-before 1.5s infinite linear;
  animation-delay: 0s;
}

.dot-pulse::after {
  box-shadow: 10014px 0 0 -5px;
  animation: dot-pulse-after 1.5s infinite linear;
  animation-delay: 0.5s;
}

.vs-image {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 130px;
  margin: auto;
  display: flex;
  align-items: center;
  transform: translateX(-12px);
}

.real-ludo-join-user {
  width: 70px;
  margin: 0px auto;
  height: 81px;
}

.real-ludo-join-user .img-fluid {
  width: 100%;
  height: 100%;
  object-fit: cover;
  padding: 0;
}

@media (max-width: 767px) {
  .header-game-play button img {
    width: 30px;
  }

  .table_not_found {
    min-height: 76vh;
  }

  .offcanvas-teenpatti {
    width: 94% !important;
  }

  .offcanvas-title {
    font-size: 21px;
  }

  .room-code-text strong,
  .room-code-text,
  .room-code-des-text {
    font-size: 16px;
  }

  .room-code-text .img-fluid,
  .room-code-des-text .img-fluid {
    width: 35px;
    margin-left: 0px;
  }

  .copy-text-ludo {
    margin-left: 8px;
    font-size: 12px;
  }

  .matching-user-block {
    height: 120px;
  }

  .matching-user-title,
  .matching-user-block {
    width: 120px !important;
    margin: 0px auto;
  }

  .matching-user-title {
    font-size: 14px;
  }

  .vs-image {
    width: 35%;
    transform: translateX(-4px);
  }

  #matchingModal .modal-closeBtn {
    top: -35px;
  }
}

.switchTable-modal .modal-content .modal-header {
  border-bottom: 1.9px solid #4ab74d3d;
  padding-bottom: 15px;
}

.switchTable-modal .modal-content .modal-header .modal-title {
  font-weight: 600;
  font-size: 38px;
}

.switchTable-modal .modal-content p {
  margin-bottom: 35px;
  font-size: 24px;
}

.switchTable-modal .modalon-btn {
  background: linear-gradient(to bottom, #12171b, #101113);
  border: 2px solid #4ab74d;
  font-size: 16px;
  color: #fff;
  min-width: 160px;
}

.switchTable-modal .modalon-btn:hover {
  color: #fff;
  border-color: #4ab74d;
}

.switchTable-modal .modal-content {
  border: 1.9px solid #4ab74d;
}

.switchTable-modal.show {
  display: block !important;
  background: rgba(0, 0, 0, 0.8);
}

.canvas-back-btn {
  top: 5px;
  left: 10px;
  z-index: 30;
}

.canvas-back-btn-sound {
  position: fixed;
  right: 10px;
  top: 5px;
}

@media (max-width: 420px) {
  .switchTable-modal .modalon-btn {
    min-width: 125px;
    font-size: 13px;
  }

  .switchTable-modal .modal-content .modal-header .modal-title {
    font-size: 32px;
  }

  .switchTable-modal .modal-content p {
    margin-bottom: 20px;
    font-size: 22px;
  }
}

.waiting-spinner {
  left: 42% !important;
  top: 20% !important;
  width: 20px;
  height: 20px;
}

/* ////////////////Bouncy loader */
.bouncing-loader {
  display: flex;
  justify-content: center;
  position: absolute;
  top: -58%;
  left: 29%;
}

.bouncing-loader > div {
  width: 9px;
  height: 9px;
  margin: 3px 6px;
  border-radius: 50%;
  background-color: #88ff27;
  opacity: 1;
  animation: bouncing-loader 0.6s infinite alternate;
}

@keyframes bouncing-loader {
  to {
    opacity: 0.5;
    /* transform: translateY(-16px); */
  }
}

.bouncing-loader > div:nth-child(2) {
  animation-delay: 0.2s;
}

.bouncing-loader > div:nth-child(3) {
  animation-delay: 0.4s;
}

.modal-backdrop.show {
  opacity: 0.8 !important;
}

#threechancemissModal {
  background: rgba(0, 0, 0, 0.8);
}

.oh-text-ludo {
  color: yellow;
  font-size: 42px;
  text-transform: uppercase;
  font-style: italic;
  font-weight: 900;
}

.game-back-btn:disabled {
  pointer-events: none;
}

@media only screen and (min-width: 992px) and (max-width: 1300px) {
  .prize-distribution-icon {
    width: 80% !important;
  }

  .youwon {
    font-size: 22px;
  }

  .yourRanknum span {
    width: 25px;
    height: 25px;
    font-size: 14px;
  }
}

@media (min-width: 992px) {
  .iframe-body .prize-distribution-icon {
    width: 75% !important;
  }

  .iframe-body .youwon {
    font-size: 20px;
  }

  .iframe-body .yourRanknum span {
    width: 25px;
    height: 25px;
    font-size: 14px;
  }

  .score-num {
    font-size: 16px;
  }

  .winner-user img {
    width: 35px;
    height: 35px;
  }

  .score-num {
    font-size: 14px;
    font-weight: 800;
  }
}

@media (min-width: 992px) {
  .modalbodyHb {
    font-size: 25px !important;
    padding: 0 15px;
    line-height: 42px;
    text-transform: capitalize;
    /* text-shadow: 0 2px 5px red; */
  }
}

@media (max-width: 767px) {
  .modalbodyHb {
    font-size: 26px !important;
  }

  .winner-user-name img {
    width: 100% !important;
  }

  .winner-user-name {
    margin-top: 15px;
  }

  .winner-user + .score-num {
    white-space: normal;
    word-break: break-all;
  }

  .canvas-back-btn button img {
    width: 35px;
  }

  .gamejoinmb-btn {
    gap: 0px;
  }

  .gamejoinmb-btn li button {
    padding: 4px !important;
  }
  .challangestext-mb {
    font-size: 13px;
  }
}

@media (max-width: 420px) {
  #GameContainer {
    top: 30px;
  }
}

.waitingForOtherUserInMathMaking {
  text-align: -webkit-center;
}

.matchMaking-waitScreen {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  transition: all 2s;
}

.matchMaking-waitScreen-bg {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  background-color: rgba(0, 0, 0, 0.8);
  border-radius: 10px;
}

.animate-matchMaking-waitScreen {
  animation: slideIn 0.5s forwards;
}

.mygames-modal-show {
  display: block !important;
  background: rgba(0, 0, 0, 0.9);
  opacity: 1 !important;
}

@keyframes slideIn {
  from {
    left: -200px;
  }

  to {
    left: 0;
  }
}

.ludo-logs {
  position: absolute;
  top: 4%;
  left: 6%;
  z-index: 10;
  color: white;
  overflow-wrap: anywhere;
  width: 90vw;
  background: rgba(0, 0, 0, 0.6);
  padding: 13px;
  font-size: 10px;
}

.modal-content-expired {
  background: transparent !important;
  border: 0 !important;
}

.modal-dialog-bg-block .modal-content.modal-content-expired {
  border: 0 !important;
  background: transparent !important;
}

.modal-content-expired .waitingForOtherUserInMathMaking {
  width: 100%;
  font-size: 22px;
}

.matching-user-inner img {
  object-fit: auto;
  width: 100%;
  height: 100%;
  max-width: 100%;
}

.mygamesModal-div .waitingForOtherUserInMathMaking {
  top: -11%;
  font-size: 25px;
}

.youare-playing-text {
  font-family: "Titan One", sans-serif;
  font-weight: 200;
  font-size: 22px;
}

.keep-paying-btn {
  border: 0;
  background: linear-gradient(#6e3beffa, #6d2cf0);
  color: #fff;
  font-family: "Titan One", sans-serif;
  font-weight: 200;
  font-size: 18px;
  border-radius: 10px;
  padding: 2px 0;
  white-space: nowrap;
  text-shadow: 0 0px 3px #000;
  box-shadow: 0 0px 3px #000;
  min-width: 127px;
  /* font-family: var(--bs-body-font-family);
  text-transform: uppercase;
  font-weight: 700; */
}

.classic-box-block .keep-paying-btn {
  background: linear-gradient(#83dd00, #97ea00);
}

.mygamesModal-div .gameEntry-block {
  margin-bottom: 50px !important;
}

.keep-quit-btn {
  position: absolute;
  bottom: -48px;
  left: 0;
  right: 0;
  display: flex;
  justify-content: center;
  gap: 15px;
}

.keep-paying-btn-end {
  background: #dd2a2a;
}

.mygames-close-btn {
  position: absolute;
  top: -15px;
  right: -14px;
  margin: 0 auto;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  padding: 0;
  background: transparent;
  color: #fff;
  font-size: 20px;
  border: 2px solid red;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-top: 1px;
  background-color: #000;
}

.prizedistribution-btn-hr p {
  background: #160027;
  border: 2px solid #db3ffd;
  border-radius: 10px;
  padding: 5px 5px;
  color: #fff;
  font-family: "Titan One", sans-serif;
  font-size: 20px;
}

.prizedistribution-btn-hr {
  background: #a000fe;
  border: 2px solid #db3ffd;
  border-radius: 15px;
  padding: 5px 5px;
  position: relative;
}

.prize-pool-header-block {
  left: 3%;
  font-family: "Titan One", sans-serif;
  color: #fff;
  font-size: 20px;
  gap: 8px;
  transform: translateY(-70%) !important;
  z-index: 1;
}

.prizedistribution-btn-hr img {
  width: 25px;
  margin-right: 8px;
}

.prizedistribution-btn-hr::before {
  content: "";
  display: inline-block;
  width: 28px;
  height: 81%;
  background: #a100fe;
  position: absolute;
  right: -25px;
  margin: 0 auto;
  clip-path: polygon(100% 50%, 0 100%, 0 0);
  top: 50%;
  transform: translateY(-50%);
  z-index: 1;
}

.prizedistribution-btn-hr::after {
  content: "";
  display: inline-block;
  width: 29px;
  height: 80%;
  background: #db3ffd;
  position: absolute;
  right: -29px;
  margin: 0 auto;
  clip-path: polygon(100% 50%, 0 100%, 0 0);
  top: 50%;
  transform: translateY(-50%);
}

.prizedistribution-btn-hr p {
  min-width: 180px;
}

@media (max-width: 1180px) {
  .prizedistribution-btn-hr p {
    font-size: 16px;
    gap: 6px !important;
  }

  .prizedistribution-btn-hr img {
    width: 20px;
    margin-right: 5px;
  }

  .prizedistribution-btn-hr p {
    min-width: 100px;
  }
}

@media (max-width: 767px) {
  .mygamesModal-div .waitingForOtherUserInMathMaking {
    width: 75%;
  }

  .youare-playing-text {
    font-size: 18px;
  }

  .prize-pool-header-block {
    top: 0px !important;
    transform: translateX(-50%) !important;
    left: 50%;
    font-size: 12px;
    gap: 0px;
  }

  .prizedistribution-btn-hr p {
    font-size: 10px;
    min-width: 100px;
  }

  .prizedistribution-btn-hr img {
    width: 15px !important;
    margin-right: 2px;
  }

  .prizedistribution-btn-hr::after {
    right: -28px;
  }

  .prizedistribution-btn-hr {
    padding: 2px 2px;
  }

  .prizedistribution-btn-hr::before,
  .prizedistribution-btn-hr::after {
    width: 26px;
    height: 12px;
    right: 0px;
    margin: 0 auto;
    top: inherit;
    bottom: -18px;
    left: 0;
    clip-path: polygon(50% 100%, 0 0, 100% 0);
  }

  .prizedistribution-btn-hr::after {
    bottom: -22px;
    width: 30px;
    height: 15px;
  }

  .winner-user-name img {
    width: 60% !important;
  }

  #prizeDistributionModal .winner-user-name {
    margin-top: 25px !important;
  }

  #prizeDistributionModal .modalCloseBtn {
    right: -6px;
    bottom: -6px !important;
  }
}

@media (max-width: 767px) {
  .mygamesModal-div .waitingForOtherUserInMathMaking {
    width: 75%;
  }

  .youare-playing-text {
    font-size: 18px;
  }
}

/* @media (max-width: 380px) {
  .mygamesModal-div .gameEntry-block p {
    font-size: 14px;
  }
} */

@media not all and (min-resolution: 0.001dpcm) {
  @supports (-webkit-appearance: none) {
    .matching-user-block .carousel-item {
      -webkit-transform: translate3d(0, 0, 0) !important;
      transform: translate3d(0, 0, 0) !important;
      backface-visibility: hidden !important;
    }

    .matching-user-inner img {
      object-fit: auto;
      width: 100%;
      height: 100%;
      max-width: 100%;
    }
  }
}

.congratulation-modal-show.show {
  display: block;
  opacity: 1;
  background: rgba(0, 0, 0, 0.9);
}

.join-offcanvas-btn-code {
  position: absolute;
  right: 0;
  top: 0;
  height: 100%;
  border-radius: 8px;
  min-width: 100px;
  border: 0 !important;
}

.insert-code {
  outline: none;
  box-shadow: none;
  border-radius: 8px;
}

.privateTable-code {
  border: 1px solid #015981;
  padding: 5px 10px !important;
  border-radius: 6px;
}

.spinner-4 {
  width: 80px;
  --b: 8px;
  aspect-ratio: 1;
  border-radius: 50%;
  padding: 1px;
  background: conic-gradient(#0000 10%, #fff) content-box;
  -webkit-mask: repeating-conic-gradient(
      #0000 0deg,
      #000 1deg 20deg,
      #0000 21deg 36deg
    ),
    radial-gradient(
      farthest-side,
      #0000 calc(100% - var(--b) - 1px),
      #000 calc(100% - var(--b))
    );
  -webkit-mask-composite: destination-in;
  mask-composite: intersect;
  animation: s4 1s infinite steps(10);
}

@keyframes s4 {
  to {
    transform: rotate(1turn);
  }
}

/* 
.remaining-time-block {
  position: absolute;
  top: -12px;
  left: 0;
  right: 0;
} */

.remaining-time-block span {
  color: #fff;
  font-size: 15px;
  letter-spacing: 0px;
}

.room-code-text .img-fluid {
  cursor: pointer;
}

.rws-icon:last-child {
  display: none !important;
}

.offcanvas-teenpatti .table_not_found {
  position: absolute;
  top: 0;
  bottom: 0;
  padding: 0;
  width: 100%;
  left: 0;
  min-height: inherit !important;
}

.vyka_logo {
  background: url("../img/bg.jpg") no-repeat;
  background-size: cover;

  background-color: #0006;
  background-blend-mode: overlay;
}

@media (min-width: 767px) {
  #offcanvasPrivate {
    width: 430px !important;
  }
}

@media (max-width: 767px) {
  .privateTable-code .gameEntry-block p {
    font-size: 13px;
  }

  .privateTable-code .gameEntry-block {
    min-height: inherit;
    padding: 4px 0;
    padding-bottom: 10px;
  }

  .room-code-text strong,
  .room-code-text,
  .remaining-time-block span {
    font-size: 14px !important;
    font-weight: 400 !important;
  }

  .room-code-text strong {
    padding: 3px 5px;
  }

  .room-code-text .img-fluid {
    padding: 0;
    width: 16px;
    margin-left: 5px;
    cursor: pointer;
  }

  .remaining-time-block span {
    letter-spacing: 0;
  }
}

@media (max-width: 390px) {
  .room-code-text strong,
  .room-code-text,
  .remaining-time-block span {
    font-size: 11px !important;
    font-weight: 400 !important;
  }
}

/* ------------ Ping Start! ------------- */
.network-block {
  width: 24px;
}
.network-speed span {
  font-size: 7px;
}
.network-speed {
  font-size: 7px;
  font-weight: bold;
}
.network-sec {
  position: fixed;
  left: 0;
  right: 0;
  margin: 0 auto;
  bottom: 0;
  padding-left: 15px;
  padding-right: 15px;
  padding-bottom: 10px;
  z-index: 100000;
}
.network-block {
  background: #0000006e;
  border-radius: 3px;
  padding: 1px 1px;
}
.network-inner {
  width: 100% !important;
}

.network-bottom {
  width: 100% !important;
  height: 2px;
  gap: 2px;
}

.network-noInternet {
  width: 100vw;
  position: absolute;
  bottom: 0;
  background: rgba(0, 0, 0, 0.9);
  padding: 6px;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  gap: 6px;
  z-index: 10000056;
  height: 100vh;
}

.network-noInternet p {
  margin: 0%;
}
.network-inner img {
  padding: 0;
}
/* ------------ Ping End! ------------- */

@media (min-width: 768px) and (max-width: 991px) and (orientation: portrait) {
  .gamejoinmb-block-ipad-none {
    display: none !important;
  }
  .gamejoinmb-block-ipad-show {
    display: block !important;
  }
  .gamejoinmb-btn {
    gap: 15px;
  }
  .gamejoinmb-btn li button {
    width: 112px;
    margin: 0 auto;
      margin-bottom: 0px;
  }
  .gamejoinmb-block-ipad-show {
    width: 80% !important;
  }
}


@media (min-width: 421px) and (max-width: 767px) and (orientation: portrait) {
  .gamejoinmb-btn {
    gap: 15px;
  }
  .gamejoinmb-btn li button {
    width: 112px;
    margin: 0 auto;
      margin-bottom: 0px;
  }
  .gamejoinmb-block-ipad-show {
    width: 100% !important;
  }
}